play.db.jpa

## Class JPASupport

- java.lang.Object
- - play.db.jpa.JPABase
  - - play.db.jpa.GenericModel
    - - play.db.jpa.JPASupport

- All Implemented Interfaces:
    java.io.Serializable, Model

  Deprecated.

      @Deprecated
      public class JPASupport
      extends GenericModel

  Use play.db.jpa.GenericModel instead
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPASupport.JPAQuery` Deprecated.

    - ### Nested classes/interfaces inherited from class play.db.jpa.JPABase

      `JPABase.JPAQueryException`

    - ### Nested classes/interfaces inherited from interface play.db.Model

      `Model.BinaryField, Model.Choices, Model.Factory, Model.Manager, Model.Property`

  - ### Field Summary

    - ### Fields inherited from class play.db.jpa.JPABase

      `willBeSaved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPASupport()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class play.db.jpa.GenericModel

      `_saveAttachment, _setupAttachment, all, count, count, create, create, create, create, delete, delete, deleteAll, edit, edit, edit, edit, edit, edit, find, findAll, findById, merge, refresh, save, validateAndCreate, validateAndSave`

    - ### Methods inherited from class play.db.jpa.JPABase

      `_delete, _key, _save, em, em, equals, getEntityId, hashCode, isPersistent, isPersistent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JPASupport

          public JPASupport()

      Deprecated.

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly